AP 7.3.2 Crashes immediately - wxsqlite3-3.1.0.0.0.dylib invalid signature

Problem: Application crashes instantly upon opening. Report indicates an invalid signature in wxsqlite3 dylib

ActivePresenter Version: 7.3.2 Paid/Pro version

OS: Mac OS X 10.10.5 (14F2511)

Notes: I’m remotely troubleshooting this for another employee. See crash report below

macOS Crash Reporter output:

Process: ActivePresenter [1987]
Path: /Applications/ActivePresenter.app/Contents/MacOS/ActivePresenter
Identifier: com.atomi.activepresenter
Version: ???
Code Type: X86-64 (Native)
Parent Process: ??? [1]
Responsible: ActivePresenter [1987]
User ID: 501

Date/Time: 2018-08-29 12:08:27.016 -0500
OS Version: Mac OS X 10.10.5 (14F2511)
Report Version: 11
Anonymous UUID: F6B1585A-7B79-DBE0-44D6-68ADE3D03BD7

Sleep/Wake UUID: 8CCDFFDC-706C-4B2B-AB25-ABC9828EFE6E

Time Awake Since Boot: 47000 seconds
Time Since Wake: 430 seconds

Crashed Thread: 0

Exception Type: EXC_BREAKPOINT (SIGTRAP)
Exception Codes: 0x0000000000000002, 0x0000000000000000

Application Specific Information:
dyld: launch, loading dependent libraries

Dyld Error Message:
Library not loaded: @executable_path/…/Frameworks/libwxcode_osx_cocoau_wxsqlite3-3.1.0.0.0.dylib
Referenced from: /Applications/ActivePresenter.app/Contents/MacOS/ActivePresenter
Reason: no suitable image found. Did find:
/Applications/ActivePresenter.app/Contents/MacOS/…/Frameworks/libwxcode_osx_cocoau_wxsqlite3-3.1.0.0.0.dylib: code signature invalid for ‘/Applications/ActivePresenter.app/Contents/MacOS/…/Frameworks/libwxcode_osx_cocoau_wxsqlite3-3.1.0.0.0.dylib’

/Applications/ActivePresenter.app/Contents/MacOS/../Frameworks/libwxcode_osx_cocoau_wxsqlite3-3.1.0.0.0.dylib: code signature invalid for '/Applications/ActivePresenter.app/Contents/MacOS/../Frameworks/libwxcode_osx_cocoau_wxsqlite3-3.1.0.0.0.dylib'

Binary Images:
0x7fff6a890000 - 0x7fff6a8c692f dyld (353.2.4) <3C068A0D-69D5-3AD6-86D9-6261D3B1564E> /usr/lib/dyld

Model: MacBook8,1, BootROM MB81.0164.B06, 2 processors, Intel Core M, 1.1 GHz, 8 GB, SMC 2.25f86
Graphics: Intel HD Graphics 5300, Intel HD Graphics 5300, Built-In
Memory Module: BANK 0/DIMM0, 4 GB, DDR3, 1600 MHz, 0x80AD, 0x483943434E4E4E4350544D4C42522D4E5444
Memory Module: BANK 1/DIMM0, 4 GB, DDR3, 1600 MHz, 0x80AD, 0x483943434E4E4E4350544D4C42522D4E5444
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0x131), Broadcom BCM43xx 1.0 (7.15.166.24.3)
Bluetooth: Version 4.3.6f4 17916, 3 services, 27 devices, 1 incoming serial ports
Network Service: Wi-Fi, AirPort, en0
Thunderbolt Bus:

I’m Having the user try to upgrade to High Sierra… This is a 2015 Macbook Air…

Upgrade to macOS 10.13+ has resolved the issue.

1 Like

Hi Chris,

Glad to hear that the problem has been resolved. Actually, ActivePresenter 7 only supports macOS 10.11 or higher (https://atomisystems.com/activepresenter/system-requirements/)

Regards,